Groovy 1.7.0

## groovy.lang
Class ClosureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.ClosureException

    class ClosureException
    extends RuntimeException

An exception thrown by a closure invocation

author:
  James Strachan

version:
  $Revision: 6817 $

Constructor Summary
`ClosureException(Closure closure, Throwable cause)`

Method Summary
`Closure` | `getClosure()`

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ClosureException

    public ClosureException(Closure closure, Throwable cause)

Method Detail

### getClosure

    public Closure getClosure()

Copyright © 2003-2009 The Codehaus. All rights reserved.